
QGIS Application - Bug report #18273

Version 3.0 Crashed 

2018-02-28 04:26 PM - Armand SIAEP

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26164

Description

Bonjour,

Avec la nouvelle version 3.0, en ouvrant la table attributaire de certaines couches , j'ai un "crash" de QGIS, Pourquoi?

Dans l'attente d'une réponse,

Merci

User Feedback

Report Details

Crash ID: f1fb79010344b2f5aa13f9cca3cd0985b6a614f2

Stack Trace

QgsField::QgsField :

QgsFields::operator[] :

QgsAttributeForm::createWidgetFromDef :

QgsAttributeForm::createWidgetFromDef :

QgsAttributeForm::init :

QgsAttributeForm::QgsAttributeForm :

QgsDualView::init :

QgsAttributeTableDialog::QgsAttributeTableDialog :

QgisApp::attributeTable :

CPLStringList::operator[] :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :
qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-02-28 04:28 PM - Giovanni Manghi

- Resolution changed from fixed/implemented to invalid

- Status changed from Open to Closed

please report issues in English, thanks!

#2 - 2018-02-28 04:32 PM - Armand SIAEP

- Status changed from Closed to Reopened

Hello,

With the new version 3.0, opening the attribute table of some layers, I have a "crash" of QGIS, Why?

Waiting for an answer,

Thank you

#3 - 2018-02-28 04:34 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

- Priority changed from Normal to High

- Resolution deleted (invalid)

- Crashes QGIS or corrupts data changed from No to Yes

Armand SIAEP wrote:

Hello,

With the new version 3.0, opening the attribute table of some layers, I have a "crash" of QGIS, Why?

Waiting for an answer,
Please add detailed steps to replicate and possibly attach sample data/project. Thanks!

#4 - 2018-08-16 10:45 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
